
#ifdef __cplusplus
extern "C" {
#endif
/******************************************************************************/
/*                                                                            */
/*      INGAME (screen blit, eagle, message list                   )       */
/*                                                                            */
/******************************************************************************/

#include "raine.h"

/*

ingame message list

*/

extern char fps_buff[32];		// fps() message string
#ifdef RAINE_DOS
void print_ingame(int showtime, const char *format, ...) __attribute__ ((format (printf, 2, 3)));
#else
void print_ingame(int showtime, const char *format, ...);
#endif
void clear_ingame_message_list(void);

void reset_layer_switches(void);
void check_layer_switches(void);
int add_layer_info(char *name);
int check_layer_enabled(int layer);
void BlitScreen(void);
void overlay_ingame_interface(void);

#ifdef __cplusplus
}
#endif
